Page MenuHomePhabricator

AMDGPU: Add missing code for GDS
ClosedPublic

Authored by nhaehnle on Jul 2 2019, 5:06 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

mareko created this revision.Jul 2 2019, 5:06 PM
Herald added a project: Restricted Project. · View Herald TranscriptJul 2 2019, 5:06 PM
arsenm added inline comments.Jul 2 2019, 5:14 PM
lib/Target/AMDGPU/AMDGPUAliasAnalysis.cpp
59–67 ↗(On Diff #207663)

This is needed, but needs tests in test/CodeGen/AMDGPU/amdgpu-alias-analysis.ll

lib/Target/AMDGPU/AMDGPULegalizerInfo.cpp
140–153 ↗(On Diff #207663)

This is not needed

nhaehnle commandeered this revision.Jul 16 2019, 6:43 AM
nhaehnle edited reviewers, added: mareko; removed: nhaehnle.

I'm taking this over.

nhaehnle updated this revision to Diff 210122.Jul 16 2019, 9:44 AM

Add test case and remove the legalizer part.

arsenm accepted this revision.Jul 16 2019, 10:01 AM
arsenm added inline comments.
test/CodeGen/AMDGPU/amdgpu-alias-analysis.ll
56 ↗(On Diff #210122)

Extra indentation for these

This revision is now accepted and ready to land.Jul 16 2019, 10:01 AM
nhaehnle marked 2 inline comments as done.Jul 17 2019, 4:21 AM
nhaehnle added inline comments.
test/CodeGen/AMDGPU/amdgpu-alias-analysis.ll
56 ↗(On Diff #210122)

Fixing this before commit.

Closed by commit rL366313: AMDGPU: Improve alias analysis for GDS (authored by nha, committed by ). · Explain WhyJul 17 2019, 4:23 AM
This revision was automatically updated to reflect the committed changes.